> ## Documentation Index
> Fetch the complete documentation index at: https://docs.annature.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a document

Deletes a document from a draft envelope. This permanently removes the document, along with any associated fields and permissions.

Use this endpoint to allow integrators to dynamically build or modify draft envelopes before sending.

This endpoint can only be used on envelopes that are still in `draft` status and have not been sent.

**Note**: Deleting documents from a **recalled envelope** is not supported via the API. This must be done through the dashboard.

## Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the document to delete.
</ParamField>

<ParamField path="envelope_id" type="string" required>
  The unique identifier of the draft envelope the document belongs to.
</ParamField>

<RequestExample>
  ```bash Endpoint theme={null}
  DELETE /v1/documents/:id
  ```
</RequestExample>

<ResponseExample>
  ```bash theme={null}
  204
  ```
</ResponseExample>
